Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.trans
Class EvolpTransformerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.trans.EvolpTransformerTest

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  EvolpVarTransformerTest

    public class EvolpTransformerTest

extends TestCase

Contains tests of the `EvolpTransformer` class.

Version:
  0.9
Author:
  Martin Slota
See Also:
  `EvolpTransformer`

Field Summary
`protected EvolpParser` | `parser` A `EvolpParser` instance used in the tests to convert create object representations of rules.
`private EvolpTransformer` | `transformer` A `EvolpTransformer` instance used in the tests.

Constructor Summary
`EvolpTransformerTest(String testName)` A default test case constructor.

Method Summary
`protected void` | `doTest(String filename)` Reads both the input program and the expected results from the file `filename`.
`void` | `testSimple()` Tests the transformer on a simple input.
`void` | `testSuitcase()` Tests the transformer on a more complex input (the suitcase example).

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parser

    protected final EvolpParser parser

  A `EvolpParser` instance used in the tests to convert create object representations of rules.

### transformer

    private final EvolpTransformer transformer

  A `EvolpTransformer` instance used in the tests.

Constructor Detail

### EvolpTransformerTest

    public EvolpTransformerTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### testSimple

    public void testSimple()
                    throws IOException

  Tests the transformer on a simple input.

  Throws:
    `IOException`

### testSuitcase

    public void testSuitcase()
                      throws IOException

  Tests the transformer on a more complex input (the suitcase example).

  Throws:
    `IOException`

### doTest

    protected void doTest(String filename)
                   throws IOException

  Reads both the input program and the expected results from the file `filename`.

  Parameters:
    `filename` - the path to the file that contains both the input program and the expected transformed program.
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD